# Class MetalBorders.MenuBarBorder

java.lang.Object
javax.swing.border.AbstractBorder
javax.swing.plaf.metal.MetalBorders.MenuBarBorder

All Implemented Interfaces:
  `Serializable`, `Border`, `UIResource`

Enclosing class:
  `MetalBorders`

public static class MetalBorders.MenuBarBorder extends AbstractBorder implements UIResource
The class represents the border of a `JMenuBar`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static Insets`
`borderInsets`
The border insets.

## Constructor Summary

Constructors
Constructor
Description
`MenuBarBorder()`
Constructs a `MenuBarBorder`.

## Method Summary

### Methods declared in class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque, paintBorder`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### borderInsets

protected static Insets borderInsets
The border insets.

## Constructor Details

### MenuBarBorder

public MenuBarBorder()
Constructs a `MenuBarBorder`.